package org.jboss.test.client.local;

import javax.annotation.PostConstruct;
import javax.inject.Inject;

import org.jboss.errai.ioc.client.api.EntryPoint;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.RootPanel;

/**
 * Main application entry point.
 */
@EntryPoint
public class App {

    @Inject
    private EventFiringBean firingBean;

    private final Button button = new Button("Send");

    @PostConstruct
    public void buildUI() {

        button.addClickHandler(new ClickHandler() {
            @Override
            public void onClick(ClickEvent event) {
                firingBean.fireMessage();
            }
        });

        HorizontalPanel horizontalPanel = new HorizontalPanel();
        horizontalPanel.add(button);
        RootPanel.get().add(horizontalPanel);
    }

}