package org.jboss.test.client.local;

import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.event.Event;
import javax.inject.Inject;

import org.jboss.test.client.shared.HelloMessage;

@ApplicationScoped
public class EventFiringBean {

    @Inject
    private Event<HelloMessage> messageEvent;

    void fireMessage() {
      HelloMessage event = new HelloMessage("module2");
      messageEvent.fire(event);
    }

}